#!/usr/bin/python3.5
#
# The LED SOS program re-written in Python-3 for the pigpio library
#
# Uli Raich, UCC, Nov. 2017

import sys,pigpio,time,signal

ON  = 1
OFF = 0
pi=pigpio.pi()      #access the local pi
LONG  = 0.5
SHORT = 0.2

def signal_handler(signal,frame):
    pi.write(17,OFF)
    print("exiting with LED switched off")
    sys.exit(0)

def pulse(pulseLength):
    pi.write(17,ON)
    time.sleep(pulseLength)
    pi.write(17,OFF)
    time.sleep(pulseLength)
    
while True:
    signal.signal(signal.SIGINT,signal_handler)
    pi.set_mode(17,pigpio.OUTPUT)
    for index in range(0,3):
        pulse(SHORT)
    for index in range(0,3):
        pulse(LONG)
    for index in range(0,3):
        pulse(SHORT)       
    time.sleep(1)
