#
# rewrite the wiringPi gpio command
# the new command is called mygpio.py and can be run as follows
# mygpio.py read pin_number
# mygpio.py write pin_number logic_level

import sys
import RPi.GPIO as GPIO
# GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

def usage():
      print("Usage: ",sys.argv[0]," write <pin number> <logic level>")
      print(" or  : ",sys.argv[0]," read  <pin number>")

if len(sys.argv) < 3:
    usage()
    sys.exit(-1)
#
# check if pin is in the range 0..7
#
    pin=int(argv[2])
    if pin < 0 or pin > 7:
        print("pin number ",sys.argv[2]," is ",pin," and therefore not in the range 0..7")
        exit(-1)
        
# here on read
if argv[1]=="read":
    if len(sys.argv) != 3:
        usage()
        sys.exit(-1)

    GPIO.setup(pin,GPIO.IN)
    if GPIO.input == GPIO.LOW:
        print("The LED on pin ",pin," is off")
    else:
        print("The LED on pin ",pin," is on")
    sys.exit(0)
    
# here on write
if argv[1]=="write":
    if len(sys.argv) != 4:
        usage()
        sys.exit(-1)
    if argv[3] != "1" and argv[3] != "0":
        print("The logic level must be 0 or 1 and cannot be ",argv[3])
        
    GPIO.setup(pin,GPIO.OUT)
    GPIO.output=int(argv[3])
    sys.exit(0)
    
print(sys.argv[2]," is an unknown command")
